using System;
using System.Drawing;
using Unit4.TurtleLib;
using System.Text;

namespace ConsoleApplicationHistogram
{
    class Program
    {
        static void Main(string[] args)
        {
            //      
		    int [] arr = new int [25];
		    Random rnd = new Random();
		    for(int i = 0; i<arr.Length;i++)
		    {	
			    arr[i]= rnd.Next(101)+1;
			    Console.Write(arr[i]+",");
		    }
		
		    //       
		    Turtle turtle = new Turtle();
		    turtle.SetDelay(10);
		    turtle.TurnLeft(90);
		    turtle.MoveForward(100);
		    turtle.TurnRight(90);
            
		    // .    
		    DrawSticksGraph(turtle, arr);
            
		    // .     
		    DrawHistogram(turtle, arr);
        }
        // .    
        public static void DrawSticksGraph(Turtle turtle, int[] grades)
        {
            for (int i = 0; i < grades.Length; i++)
            {
                if (grades[i] < 56)
                    DrawCol(turtle, 10, Color.Red, grades[i]);
                else
                    DrawCol(turtle, 10, Color.Blue, grades[i]);
            }
        }

        // .     
        public static void DrawHistogram(Turtle turtle, int[] grades)
        {
            int[] histogram = new int[10];

            for (int i = 0; i < histogram.Length; i++)
                histogram[i] = 0;

            for (int i = 0; i < grades.Length; i++)
                histogram[(grades[i] - 1) % 10]++;

            for (int i = 0; i < histogram.Length; i++)
                DrawCol(turtle, 10, Color.Black, histogram[i] * 10);
        }

        //     
        public static void DrawCol(Turtle t, int b, Color color, int grade)
        {
            t.SetTailColor(color);
            t.TailDown();
            for (int i = 1; i <= b; i++)
            {
                t.MoveForward(grade);
                t.MoveBackward(grade);
                t.TurnRight(90);
                if (i != b)
                    t.MoveForward(1);
                t.TurnLeft(90);
            }
            t.SetTailColor(Color.White);
            t.TurnLeft(90);
            t.TailUp();
            t.TurnRight(180);
            t.MoveForward(b / 2);
            t.TurnLeft(90);
        }
    }
}
